Package Details: python-proton-client 0.7.1-2

Git Clone URL: https://aur.archlinux.org/python-proton-client.git (read-only, click to copy)
Package Base: python-proton-client
Description: Official Proton API Python Client, maintained by the Proton(VPN/Mail) team.
Upstream URL: https://github.com/ProtonMail/proton-python-client
Licenses: GPL3
Groups: ProtonVPN
Conflicts: python-protonvpn-nm-lib
Submitter: protontechag
Maintainer: protontechag (calexandru2018, jllaneras)
Last Packager: calexandru2018
Votes: 38
Popularity: 1.90
First Submitted: 2021-05-13 09:13 (UTC)
Last Updated: 2022-09-14 15:14 (UTC)

Latest Comments

hamedsbt commented on 2023-02-15 07:22 (UTC) (edited on 2023-02-15 07:22 (UTC) by hamedsbt)

@wgomg

pip3 install requests dcrypt python-gnupg pyopenssl

morealaz commented on 2022-10-08 08:39 (UTC)

Please rename source line to rename downloaded source file to include pkgname and pkgver in its name:

source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ProtonMail/proton-python-client/archive/refs/tags/$pkgver.tar.gz")

wgomg commented on 2022-10-07 01:04 (UTC)

Having this error when trying to install protonvpn-cli:

Construyendo python-proton-client...
==> Creando el paquete: python-proton-client 0.7.1-2 (jue 06 oct 2022 21:58:00)
==> Comprobando dependencias mientras se ejecuta...
==> Comprobando dependencias mientras se compila...
==> Recibiendo las fuentes...
  -> 0.7.1.tar.gz ha sido encontrado
==> Validando los archivos source con sha256sums...
    0.7.1.tar.gz ... Aprobado
==> Eliminando el directorio $srcdir/...
==> Extrayendo las fuentes...
  -> Extrayendo 0.7.1.tar.gz con bsdtar
==> Eliminando el directorio $pkgdir/...
==> Iniciando build()...
Traceback (most recent call last):
  File "/var/tmp/pamac-build-user/python-proton-client/src/proton-python-client-0.7.1/setup.py", line 4, in <module>
    from proton.constants import VERSION
  File "/var/tmp/pamac-build-user/python-proton-client/src/proton-python-client-0.7.1/proton/__init__.py", line 1, in <module>
    from .api import Session # noqa
  File "/var/tmp/pamac-build-user/python-proton-client/src/proton-python-client-0.7.1/proton/api.py", line 21, in <module>
    from .cert_pinning import TLSPinningAdapter
  File "/var/tmp/pamac-build-user/python-proton-client/src/proton-python-client-0.7.1/proton/cert_pinning.py", line 5, in <module>
    from OpenSSL import crypto
  File "/usr/lib/python3.10/site-packages/OpenSSL/__init__.py", line 8, in <module>
    from OpenSSL import SSL, crypto
  File "/usr/lib/python3.10/site-packages/OpenSSL/SSL.py", line 19, in <module>
    from OpenSSL.crypto import (
  File "/usr/lib/python3.10/site-packages/OpenSSL/crypto.py", line 3224, in <module>
    utils.deprecated(
TypeError: deprecated() got an unexpected keyword argument 'name'
==> ERROR: Se produjo un fallo en build().
    Cancelando...

Dwa30v commented on 2021-09-23 21:58 (UTC)

@calexandru2018 - Thanks a lot. That did the trick indeed!

calexandru2018 commented on 2021-09-23 21:47 (UTC)

@Dwa30v reinstalling the application should be enough

Dwa30v commented on 2021-09-23 21:33 (UTC)

Also having issues. Update process gets stuck at:

==> Finished making: python-proton-client 0.6.1-4 (2021-09-23T21:23:46 +00)
==> Cleaning up...

Warning: removing python-protonvpn-nm-lib breaks dependency 'python-protonvpn-nm-lib>=3.3.0' required by protonvpn-cli
Add protonvpn-cli to remove

zeroconf commented on 2021-09-23 17:06 (UTC) (edited on 2021-09-23 17:10 (UTC) by zeroconf)

Errors with updating (won't update):

:: python-proton-client and python-protonvpn-nm-lib are in conflict. Remove python-protonvpn-nm-lib? [y/N] error: unresolvable package conflicts detected error: failed to prepare transaction (conflicting dependencies) :: python-proton-client and python-protonvpn-nm-lib are in conflict (python-protonvpn-nm-lib<3.4.0)